[IPython-dev] igrid

Fernando Perez fperez.net@gmail....
Sat Mar 17 20:09:49 CDT 2007


On 3/12/07, Nikolas Tautenhahn <virtual@gmx.de> wrote:

> > > We'll try -wthread on Nik's Linux box to see what happens there.
>
> I tried -wthread yesterday - and had no problems with it; even multiple
> igrid instances were possible. The only thing I see is the deprecated
> warning:
>
> ==============================
> ~> ipython -wthread
> /usr/local/lib/python2.5/site-packages/ipython-0.7.4.svn.r2120-py2.5.egg/IPython/Shell.py:558:
> DeprecationWarning: The wxPython compatibility package is no longer
> automatically generated or activly maintained.  Please switch to the wx
> package as soon as possible.
>  import wxPython
> Python 2.5 (r25:51908, Jan  9 2007, 16:59:32)
> Type "copyright", "credits" or "license" for more information.
>
> IPython 0.7.4.svn.r2120 -- An enhanced Interactive Python.
> ?       -> Introduction to IPython's features.
> %magic  -> Information about IPython's 'magic' % functions.
> help    -> Python's own help system.
> object? -> Details about 'object'. ?object also works, ?? prints more.
> In [1]: ils
> In [2]: ils + ienv
> ==============================
>
> This was python 2.5 and wxPython 2.8.1.1 with openSuSE 10.2...
> The only thing I noticed was that the igrid help did not work if you
> install the svn version of ipython - but this is because of the setup
> script not copying it, I think.

I'm running on WX 2.6, as I suspect many people still are (since it's
the version still shipping with several linux distros).  It's quite
possible that the problems only appear with 2.6.

I'll fix the above warning, thanks for reporting it.

Cheers,

f


More information about the IPython-dev mailing list